* {
    box-sizing: border-box;
}

body {
    font-family: Karla, sans-serif;
    margin: 0;
    background-color: #0B2434;
    padding: 20px;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

div#root {
    height: 100%;
    width: 100%;
    max-height: 400px;
    max-width: 400px;
}

main {
    position: relative;
    background-color: #F5F5F5;
    height: 100%;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    padding: 20px;
}


.win-message, .game-over {
    position: absolute;
    font-size: 1rem;
    text-align: center;
    width: 100%;
}

.title {
    font-size: 40px;
    margin: 0;
    margin-bottom: 10px;
}

.start-screen {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 20px;
}

.game-status {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 20px;
    margin-top: 0;
}

.start-instructions {
    font-weight: 400;
    margin-top: 0;
    margin-bottom: 20px;
    text-align: center;
}

.instructions, .timer {
    font-weight: 400;
    margin-top: 0;
    margin-bottom: 10px;
    text-align: center;
}

.dice-container {
    display: grid;
    grid-template: auto auto / repeat(5, 1fr);
    gap: 20px;
    padding: 20px;
}

button {
    font-family: Karla, sans-serif;
    cursor: pointer;
}

.dice-container button {
    height: 50px;
    width: 50px;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.15);
    border-radius: 10px;
    border: none;
    background-color: white;
    font-size: 1.75rem;
    font-weight: bold;
}

button.game-control {
    height: 50px;
    white-space: nowrap;
    width: auto;
    padding: 6px 21px;
    border: none;
    border-radius: 6px;
    background-color: #5035FF;
    color: white;
    font-size: 1.2rem;
}
